## protracker 2.b37

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(pt2-clone)

find_package(SDL2 REQUIRED)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${pt2-clone_SOURCE_DIR}/release/other/")


file(GLOB pt2-clone_SRC
    "${pt2-clone_SOURCE_DIR}/src/*.c"
    "${pt2-clone_SOURCE_DIR}/src/gfx/*.c"   
)


add_executable(pt2-clone ${pt2-clone_SRC})

target_include_directories(pt2-clone SYSTEM
    PRIVATE ${SDL2_INCLUDE_DIRS})

target_link_libraries(pt2-clone 
    PRIVATE m asound pthread ${SDL2_LIBRARIES})
target_compile_definitions(pt2-clone PRIVATE __LINUX_ALSA__)


install(TARGETS pt2-clone
        RUNTIME DESTINATION bin )

## protracker 2.3d.r10

=== debian/changelog ===
protracker (2.3d.r10-1) unstable; urgency=medium

  * New upstream release.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Apr 2017 17:18:20 +0200

protracker (2.3d-1) unstable; urgency=medium

  * Initial release. (Closes: #858624)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 Mar 2017 16:28:34 +0200

=== debian/control ===
Source: protracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 9), libsdl2-dev
Standards-Version: 3.9.8
Homepage: http://16-bits.org/pt.php

Package: protracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Amiga ProTracker v2.3D clone for modern computers
 Multi-platform clone of the classic music making software
 "ProTracker" (version 2.3D) from the Commodore Amiga days.
 Aims to work exactly like you remember it, with added features and
 fixes.

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_BUILD_OPTIONS=noddebs

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

## protracker 2.3d.r80

=== debian/changelog ===
protracker (2.3d.r80-1) unstable; urgency=medium

  * New upstream version.
  * debian/README.Debian: added.
  * Bump standards version to 4.1.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 10 Nov 2017 14:25:03 +0100

protracker (2.3d.r57-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.0.0.
  * Bump debhelper version to 10.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 14 Sep 2017 11:10:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 9), libsdl2-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), libsdl2-dev
+Standards-Version: 4.1.1
 Homepage: http://16-bits.org/pt.php
 
 Package: protracker

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_BUILD_OPTIONS=noddebs
+export DH_BUILD_MAINT_OPTIONS=noddebs
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS

## protracker 2.3d.r92

=== debian/changelog ===
protracker (2.3d.r92-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 4.1.3.
  * Bump standards version to 11.
  * debian/README.Debian: renamed to README.source.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 04 Feb 2018 19:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 10), libsdl2-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), libsdl2-dev
+Standards-Version: 4.1.3
 Homepage: http://16-bits.org/pt.php
 
 Package: protracker

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_BUILD_MAINT_OPTIONS=noddebs
 
 # see ENVIRONMENT in dpkg-buildflags(1)

## protracker 2.3d.r107

=== debian/changelog ===
protracker (2.3d.r107-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 23 Mar 2018 11:23:11 +0100

## protracker 2.3d.r109

=== debian/changelog ===
protracker (2.3d.r109-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 27 Mar 2018 09:57:05 +0200

## protracker 2.3d.r140

=== debian/changelog ===
protracker (2.3d.r140-1) unstable; urgency=medium

  * New upstream version.
  * Add AppData file.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 10 Oct 2018 15:24:50 +0200

protracker (2.3d.r137-2) unstable; urgency=medium

  * debian/protracker.desktop: updated.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Sep 2018 13:48:31 +0200

protracker (2.3d.r137-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: updated.
  * Updated homepage urls.
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 28 Aug 2018 11:00:10 +0200

protracker (2.3d.r134-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: update description.
  * debian/protracker.desktop, and protracker.fr.1: add french
    translation. Thanks Olivier <trebmuh@tuxfamily.org>

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 14 Aug 2018 14:05:52 +0200

protracker (2.3d.r130-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 06 Aug 2018 15:41:21 +0200

protracker (2.3d.r122-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 09 Jul 2018 15:48:58 +0200

protracker (2.3d.r116-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 23 May 2018 15:35:17 +0200

protracker (2.3d.r112-1) unstable; urgency=medium

  * New upstream version.
  * debian/README.source: updated.
  * Bump debhelper version to 4.1.4.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 16 May 2018 16:35:11 +0200

=== debian/control ===
Source: protracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libsdl2-dev
Standards-Version: 4.2.1
Homepage: https://16-bits.org/pt.php

Package: protracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Music tracker clone of ProTracker v2.3D for modern computers
 Multi-platform clone of the classic music making software
 "ProTracker" (version 2.3D) from the Commodore Amiga days.
 Aims to work exactly like you remember it, with added features and
 fixes.

## protracker 2.3d.r161

=== debian/changelog ===
protracker (2.3d.r161-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Feb 2019 11:51:01 +0100

protracker (2.3d.r155-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 10 Jan 2019 13:00:54 +0100

protracker (2.3d.r154-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 30 Dec 2018 13:29:41 +0100

protracker (2.3d.r153-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 28 Dec 2018 16:58:02 +0100

protracker (2.3d.r147-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 27 Nov 2018 12:56:19 +0100

protracker (2.3d.r146-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Nov 2018 13:22:58 +0100

protracker (2.3d.r144-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 06 Nov 2018 09:28:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Package: protracker
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: hivelytracker, milkytracker, modplug-tools
 Description: Music tracker clone of ProTracker v2.3D for modern computers
  Multi-platform clone of the classic music making software
  "ProTracker" (version 2.3D) from the Commodore Amiga days.

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

## protracker 2.3d.r188

=== debian/changelog ===
protracker (2.3d.r188-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 09 Jul 2019 20:30:45 +0200

protracker (2.3d.r176-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.3.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 08 Apr 2019 14:14:10 +0200

protracker (2.3d.r171-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 30 Mar 2019 13:55:32 +0100

## protracker 2.3d.r191

=== debian/changelog ===
protracker (2.3d.r191-1) unstable; urgency=medium

  * New upstream version. (Closes: #926998)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Aug 2019 17:17:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libsdl2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://16-bits.org/pt.php
 
 Package: protracker

## protracker 2.b37

=== debian/changelog ===
protracker (2.b37-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 26 Nov 2019 12:08:09 +0100

protracker (2.b35-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Nov 2019 14:19:11 +0100

protracker (2.b34-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 06 Nov 2019 09:16:40 +0100

protracker (2.b30-1) unstable; urgency=medium

  * New upstream version.
  * d/changelog: re-version to upstream versioning.
  * Bump standards version to 4.4.0.
  * Add cmake, dh-exec to build-depends.
  * d/copyright: relicensed to bsd 3-clause.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 08 Oct 2019 16:35:51 +0200

=== debian/control ===
Source: protracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libsdl2-dev, cmake, dh-exec
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/protracker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/protracker
Homepage: https://16-bits.org/pt.php

Package: protracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hivelytracker, milkytracker, modplug-tools
Description: Music tracker clone of ProTracker 2 for modern computers
 Multi-platform clone of the classic music making software
 "ProTracker" (version 2) from the Commodore Amiga days.
 Aims to work exactly like you remember it, with added features and
 fixes.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_install:
+	@echo skip install target
